Public Member Functions | Public Attributes | List of all members
libqxp::TextObject Struct Reference

`#include <QXPTypes.h>`

Inheritance diagram for libqxp::TextObject:

## Public Member Functions
| TextObject ()
bool | isLinked () const

## Public Attributes
LinkedTextSettings | linkSettings
boost::optional< std::shared_ptr< Text > > | text

## Constructor & Destructor Documentation

## ◆ TextObject()

libqxp::TextObject::TextObject | ( |  | ) |
| inline

## Member Function Documentation

## ◆ isLinked()

bool libqxp::TextObject::isLinked | ( |  | ) | const

## Member Data Documentation

## ◆ linkSettings

LinkedTextSettings libqxp::TextObject::linkSettings

Referenced by isLinked().

## ◆ text

boost::optional<std::shared_ptr<Text> > libqxp::TextObject::text

The documentation for this struct was generated from the following files:

- QXPTypes.h
- QXPTypes.cpp